org.eclipse.actf.visualization.eval.html.statistics

## Class FlashData

- java.lang.Object
- - org.eclipse.actf.visualization.eval.html.statistics.FlashData

All Implemented Interfaces:
  IPageStatisticsTag

    public class FlashData
    extends Object
    implements IPageStatisticsTag

FlashData is used for flash content information

### Field Summary

Fields
`static String` `FLASH_IS_OBJECT`
`static String` `FLASH_LOOP`
`static String` `FLASH_MENU`
`static String` `FLASH_PLAY`
`static String` `FLASH_QUALITY`
`static String` `FLASH_SALIGN`
`static String` `FLASH_SWLIVECONNECT`
`static String` `FLASH_WITHEMBED`
`static String` `FLASH_WMODE`

### Fields inherited from interface org.eclipse.actf.visualization.eval.html.statistics.IPageStatisticsTag

`ALIGN, ALT, BASE, BGCOLOR, DEST, ERROR, EXISTENCE, FLASH, FLASH_INFO, HEADING, HEADINGS, HEIGHT, HREF, ID, IMAGE, IMAGES, ITEM, JAVASCRIPT, MAX, MEAN, MIN, MISSING, NAME, ORG_MAX, ORG_MEAN, ORG_MIN, REACHINGTIME, SKIPMAIN, SRC, TARGET_STRING, TOTAL, URL, VALID, VALUE, WIDTH, WRONG, XPATH`

### Constructor Summary

Constructors
Constructor and Description
`FlashData(Element target, String src, boolean isObject)` Constructor of the class

### Method Summary

Methods
`String` `getAlign()`
`String` `getBase()`
`String` `getBgcolor()`
`String` `getHeight()`
`String` `getItemXML()` Get flash information as XML fragment
`String` `getLoop()`
`String` `getMenu()`
`String` `getPlay()`
`String` `getQuality()`
`String` `getSalign()`
`String` `getSrc()`
`String` `getSwliveconnect()`
`String` `getWidth()`
`String` `getWmode()`
`boolean` `isObject()`
`boolean` `isWithEmbed()`
`void` `setObject(boolean isObject)` Set if the flash content embedded by object tag
`void` `setWithEmbed(boolean withEmbed)` Set if the flash content embedded with embed tag

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FLASH_IS_OBJECT

    public static final String FLASH_IS_OBJECT

See Also:
  Constant Field Values

#### FLASH_QUALITY

    public static final String FLASH_QUALITY

See Also:
  Constant Field Values

#### FLASH_SALIGN

    public static final String FLASH_SALIGN

See Also:
  Constant Field Values

#### FLASH_WMODE

    public static final String FLASH_WMODE

See Also:
  Constant Field Values

#### FLASH_MENU

    public static final String FLASH_MENU

See Also:
  Constant Field Values

#### FLASH_LOOP

    public static final String FLASH_LOOP

See Also:
  Constant Field Values

#### FLASH_PLAY

    public static final String FLASH_PLAY

See Also:
  Constant Field Values

#### FLASH_SWLIVECONNECT

    public static final String FLASH_SWLIVECONNECT

See Also:
  Constant Field Values

#### FLASH_WITHEMBED

    public static final String FLASH_WITHEMBED

See Also:
  Constant Field Values

### Constructor Detail

#### FlashData

    public FlashData(Element target,
             String src,
             boolean isObject)

Constructor of the class

Parameters:
  `target` - target `Element` that contains the flash content
  `src` - source URL for flash content
  `isObject` - true if the flash content is embedded by object tag

### Method Detail

#### getAlign

    public String getAlign()

Returns:
  align attribute

#### getBase

    public String getBase()

Returns:
  base attribute

#### getBgcolor

    public String getBgcolor()

Returns:
  background color attribute

#### getHeight

    public String getHeight()

Returns:
  height attribute

#### getLoop

    public String getLoop()

Returns:
  loop attribute

#### getMenu

    public String getMenu()

Returns:
  menu attribute

#### getPlay

    public String getPlay()

Returns:
  play attribute

#### getQuality

    public String getQuality()

Returns:
  quality attribute

#### getSalign

    public String getSalign()

Returns:
  salign attribute

#### getSrc

    public String getSrc()

Returns:
  source URL of the flash content

#### getSwliveconnect

    public String getSwliveconnect()

Returns:
  swliveconnect attribute

#### getWidth

    public String getWidth()

Returns:
  width attribute

#### getWmode

    public String getWmode()

Returns:
  wmode (Window Mode) attribute

#### isWithEmbed

    public boolean isWithEmbed()

Returns:
  true if the flash content embedded with embed tag

#### setWithEmbed

    public void setWithEmbed(boolean withEmbed)

Set if the flash content embedded with embed tag

Parameters:
  `withEmbed` - true if the flash content embedded with embed tag

#### isObject

    public boolean isObject()

Returns:
  true if the flash content embedded by object tag

#### setObject

    public void setObject(boolean isObject)

Set if the flash content embedded by object tag

Parameters:
  `isObject` - true if the flash content embedded by object tag

#### getItemXML

    public String getItemXML()

Get flash information as XML fragment

Returns:
  flash information as XML fragment